import { View, Text, TouchableOpacity, GestureResponderEvent } from 'react-native';
import React, { useState } from 'react';
import styles from './styles';

interface propsType {
  item: {
    companyName: 'string';
    companyCity: 'string';
    stateOrProvince: 'string';
    companyRegNumber: 'string';
  };
  onPress?: ((event: GestureResponderEvent) => void) | undefined;
  key?: React.Key | null | undefined;
}
const AccountsCard = (props: propsType) => {
  const { item, onPress, key } = props;
  const [tapIcon, setTapIcon] = useState(true);

  return (
    <TouchableOpacity key={key} onPress={onPress} style={styles.rootContainer}>
      <View style={styles.mainContainer}>
        <View style={[styles.fIconView, { backgroundColor: '#6394CC' }]}>
          <Text style={styles.fIconText}>{item?.companyName?.split('')[0]}</Text>
        </View>
        <View style={styles.subContainer}>
          <Text style={styles.accountName}>{item?.companyName}</Text>
          <Text style={styles.accountDetails}>
            {item?.companyCity} | {item?.stateOrProvince} | {item?.companyRegNumber}
          </Text>
        </View>
        {/* <TouchableOpacity
          style={styles.iconButton}
          onPress={() => {
            setTapIcon(!tapIcon);
          }}
        >
          {tapIcon ? (
            <Icon name="chevron-down" size={35} color="#0499D2" />
          ) : (
            <Icon name="chevron-up" size={35} color="#0499D2" />
          )}
        </TouchableOpacity> */}
      </View>
      {/*   {!tapIcon ? (
        <View>
          <Text style={styles.accCount}>Maechant Acc 01</Text>
          <Text style={styles.accCount}>Maechant Acc 01</Text>
          <Text style={styles.accCount}>Maechant Acc 01</Text>
        </View>
      ) : null} */}
    </TouchableOpacity>
  );
};

export default AccountsCard;
