import {
  Text,
  TouchableOpacity,
  GestureResponderEvent,
  ViewStyle,
  ViewProps,
  StyleProp,
} from 'react-native';
import React from 'react';
import { styles } from './styles';
import * as Animatable from 'react-native-animatable';

interface propTypes {
  onPress?: ((event: GestureResponderEvent) => void) | undefined;
  title: string;
  buttonRef?:
    | React.LegacyRef<
        React.ClassicComponent<Animatable.AnimatableProperties<ViewStyle> & ViewProps, any>
      >
    | undefined;
  style?: StyleProp<ViewStyle>;
  loading?: boolean;
  testID?: string | undefined;
}

const AuthButton = (props: propTypes) => {
  const { onPress, title, buttonRef, style, loading } = props;
  return (
    <Animatable.View ref={buttonRef} style={[styles.root, style]}>
      <TouchableOpacity style={styles.continueButton} onPress={onPress}>
        <Text style={styles.continueButtonText}>{title}</Text>
      </TouchableOpacity>
    </Animatable.View>
  );
};

export default AuthButton;
