/* eslint-disable @typescript-eslint/no-explicit-any */
import { View, Text, Modal, NativeSyntheticEvent, TouchableOpacity } from 'react-native';
import React from 'react';

import { styles } from './styles';

interface logOutDialogProps {
  visible?: boolean | true;
  onRequestClose?: ((event: NativeSyntheticEvent<any>) => void) | undefined;
  onPressSubmit?: ((event: NativeSyntheticEvent<any>) => void) | undefined;
}

const LogOutDialog = (props: logOutDialogProps) => {
  const { visible, onRequestClose, onPressSubmit } = props;
  return (
    <Modal
      visible={visible}
      statusBarTranslucent
      transparent={true}
      onRequestClose={onRequestClose}
      animationType='fade'
    >
      <View style={styles.mainContainer}>
        <View style={styles.card}>
          <Text style={styles.title}>Are you sure you want to logout ?</Text>
          <View style={styles.bottomContainer}>
            <TouchableOpacity onPress={onPressSubmit} style={styles.button}>
              <Text style={styles.yes}>Yes</Text>
            </TouchableOpacity>
            <TouchableOpacity onPress={onRequestClose} style={styles.button}>
              <Text style={styles.cancel}>Cancel</Text>
            </TouchableOpacity>
          </View>
        </View>
      </View>
    </Modal>
  );
};

export default LogOutDialog;
