import { ColorSheet } from '@/utils/ColorSheet';
import { Platform, StyleSheet } from 'react-native';
import { RFValue } from 'react-native-responsive-fontsize';
import {
  widthPercentageToDP as wp,
  heightPercentageToDP as hp,
} from 'react-native-responsive-screen';

export const styles = StyleSheet.create({
  mainContainer: {
    flex: 1,
    backgroundColor: ColorSheet.TransparentBlack,
    justifyContent: 'center',
    alignItems: 'center',
  },
  card: {
    width: wp(80),
    height: hp(18),
    backgroundColor: ColorSheet.Blower,
    borderRadius: 10,
    // justifyContent: 'center',
    alignItems: 'center',
  },
  title: {
    fontSize: Platform.OS == 'ios' ? RFValue(14) : RFValue(16),
    fontWeight: '600',
    color: ColorSheet.Black,
    textAlign: 'center',
    marginTop: hp(3),
    marginBottom: hp(3),
  },
  bottomContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    marginTop: 20,
    width: wp(70),
  },
  button: {
    width: wp('30%'),
    height: hp('5%'),
    borderRadius: 10,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#343A4F',
  },
  cancel: {
    fontSize: RFValue(18),
    fontWeight: 'bold',
    color: ColorSheet.White,
  },
  yes: {
    fontSize: RFValue(18),
    fontWeight: 'bold',
    color: ColorSheet.White,
  },
});
