import { ColorSheet } from '@/utils/ColorSheet';
import { Platform, StyleSheet } from 'react-native';
import { RFValue } from 'react-native-responsive-fontsize';
import {
  widthPercentageToDP as wp,
  heightPercentageToDP as hp,
} from 'react-native-responsive-screen';

export const styles = StyleSheet.create({
  bottomSheetContainer: {
    borderTopRightRadius: 30,
    borderTopLeftRadius: 30,
  },
  bottomSheetView: {
    padding: 16,
    height: '100%',
    alignItems: 'center',
  },
  bottomSheetBackdrop: {
    flex: 1,
  },
  animation: {
    height: hp(15),
  },

  codeFieldRoot: { marginTop: 20 },
  cell: {
    backgroundColor: ColorSheet.White,
    width: wp(13),
    height: hp(9),
    borderWidth: 0.8,
    borderColor: ColorSheet.Border2,
    marginHorizontal: wp(1.5),
    borderRadius: 10,
    justifyContent: 'center',
  },
  focusCell: {
    borderColor: '#000',

    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,

    elevation: 5,
  },

  cellText: {
    fontSize: RFValue(16),
    textAlign: 'center',
  },

  resendCodeView: {
    flexDirection: 'row',
    width: wp(78),
    marginTop: hp(2),
    alignItems: 'center',
  },

  resendCodeText: {
    fontSize: RFValue(12),
    color: ColorSheet.Black,
  },

  submitButton: {
    width: wp(80),
    marginTop: hp(3),
    marginBottom: hp(2),
  },
  clockView: {
    paddingLeft: wp(3),
  },
  timeText: {
    color: ColorSheet.Black,
  },

  backButton: {},
  backButtonText: {
    fontSize: RFValue(12),
    fontWeight: '600',
    color: ColorSheet.Primary,
    textDecorationLine: 'underline',
  },
});
