/* eslint-disable @typescript-eslint/no-explicit-any */
import { View, Modal, NativeSyntheticEvent, Text, Linking, Platform } from 'react-native';
import React from 'react';
import styles from './styles';
import AnimatedLottieView from 'lottie-react-native';
import { Constants } from '@/utils/constants';
import PrimaryButton from '@/components/PrimaryButton';
import { ConstantsUrls } from '@/utils/constantsUrls';

const UpdateDialog = (props: {
  visible?: boolean;
  onRequestClose?: (event: NativeSyntheticEvent<any>) => void;
}) => {
  const { onRequestClose, visible } = props;

  const onPressUpdate = () => {
    Platform.OS === 'ios'
      ? Linking.openURL(ConstantsUrls.IOSStore)
      : Linking.openURL(ConstantsUrls.AndroidStore);
  };

  return (
    <Modal
      visible={visible}
      statusBarTranslucent
      transparent={true}
      onRequestClose={onRequestClose}
      animationType='fade'
    >
      <View style={styles.root}>
        <View style={styles.card}>
          <AnimatedLottieView
            style={styles.animation}
            source={require('../../../assets/animation/Update.json')}
            autoPlay
            speed={0.9}
            loop={true}
          />
          <Text style={styles.title}>{Constants.UPDATE_TITLE}</Text>
          <Text style={styles.discretion}>{Constants.UPDATE_SUBTITLE}</Text>
          <PrimaryButton onPress={onPressUpdate} style={styles.button} title={Constants.Update} />
        </View>
      </View>
    </Modal>
  );
};

export default UpdateDialog;
