import { StyleSheet } from 'react-native';
import {
  widthPercentageToDP as wp,
  heightPercentageToDP as hp,
} from 'react-native-responsive-screen';
import { ColorSheet } from '@/utils/ColorSheet';
import { RFValue } from 'react-native-responsive-fontsize';

export default StyleSheet.create({
  root: {
    alignItems: 'center',
    justifyContent: 'center',
    flex: 1,
    backgroundColor: 'rgba(0,0,0,0.2)',
  },
  card: {
    width: wp(90),
    //   height: hp(55),
    backgroundColor: ColorSheet.White,
    borderRadius: 15,
    alignItems: 'center',

    shadowColor: ColorSheet.Black,
    shadowOffset: {
      width: 0,
      height: 10,
    },
    shadowOpacity: 0.53,
    shadowRadius: 13.97,

    elevation: 21,
  },
  animation: {
    height: hp(30),
    marginTop: hp(1),
  },
  title: {
    fontSize: RFValue(20),
    fontWeight: '600',
    color: ColorSheet.Black,
    marginTop: hp(5),
    textAlign: 'center',
  },
  discretion: {
    fontSize: RFValue(12),
    color: ColorSheet.textDefaultColor,
    textAlign: 'center',
    marginLeft: wp(5),
    marginRight: wp(5),
    marginTop: hp(2),
  },
  button: {
    marginTop: hp(3),
    width: wp(70),
  },
});
