import { ColorSheet } from '@/utils/ColorSheet';
import { StyleSheet } from 'react-native';
import { RFValue } from 'react-native-responsive-fontsize';
import {
  widthPercentageToDP as wp,
  heightPercentageToDP as hp,
} from 'react-native-responsive-screen';

const styles = StyleSheet.create({
  dropdown: {
    borderBottomWidth: 1,
    borderBottomColor: ColorSheet.PrimaryInputBorder,
    marginLeft: wp(0.8),
    marginRight: wp(0.8),
  },
  icon: {
    marginRight: 5,
  },
  item: {
    padding: hp(1),
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  textItem: {
    flex: 1,
    fontSize: RFValue(12),
  },
  placeholderStyle: {
    fontSize: RFValue(12),
    color: ColorSheet.White,
    marginLeft: wp(1.9),
    marginBottom: hp(1),
  },
  selectedTextStyle: {
    color: ColorSheet.White,
    fontSize: RFValue(12),
    marginLeft: wp(1.9),
    marginBottom: hp(1),
  },
  iconStyle: {},
});

export default styles;
