import { ColorSheet } from '@/utils/ColorSheet';
import React from 'react';
import ContentLoader, { Rect } from 'react-content-loader/native';
import { View, StyleSheet } from 'react-native';
import {
  widthPercentageToDP as wp,
  heightPercentageToDP as hp,
} from 'react-native-responsive-screen';

export const BeneficiaryLoading = (props) => {
  const Card = () => (
    <ContentLoader
      speed={2}
      width={wp(90)}
      height={hp(75)}
      backgroundColor={ColorSheet.SecondaryBackground}
      foregroundColor={ColorSheet.DarkBackground}
      {...props}
    >
      {/* Bank Name */}
      <Rect x='45' y='50' rx='2' ry='2' width='100' height='12' />
      <Rect x='45' y='75' rx='2' ry='2' width='200' height='12' />
      {/* Branch Name */}
      <Rect x='45' y='120' rx='2' ry='2' width='100' height='12' />
      <Rect x='45' y='145' rx='2' ry='2' width='200' height='12' />
      {/* Account Number */}
      <Rect x='45' y='195' rx='2' ry='2' width='100' height='12' />
      <Rect x='45' y='220' rx='2' ry='2' width='200' height='12' />
      {/* Phone Number */}
      <Rect x='45' y='270' rx='2' ry='2' width='100' height='12' />
      <Rect x='45' y='295' rx='2' ry='2' width='200' height='12' />
      {/* Email */}
      {/*       <Rect x='45' y='345' rx='2' ry='2' width='100' height='12' />
      <Rect x='45' y='370' rx='2' ry='2' width='200' height='12' /> */}
      {/* Address */}
      <Rect x='45' y='420' rx='2' ry='2' width='100' height='12' />
      <Rect x='45' y='440' rx='2' ry='2' width='200' height='12' />
      <Rect x='45' y='460' rx='2' ry='2' width='100' height='12' />
    </ContentLoader>
  );
  return (
    <View style={styles.root}>
      <Card />
    </View>
  );
};

const styles = StyleSheet.create({
  root: {
    alignItems: 'center',
    paddingBottom: hp(2),
  },
});

export const BeneficiaryLoadingImage = (props) => (
  <ContentLoader
    speed={2}
    width={400}
    height={150}
    backgroundColor={ColorSheet.SecondaryBackground}
    foregroundColor={ColorSheet.DarkBackground}
    {...props}
  >
    <Rect x='5' y='14' rx='12' ry='12' width='68' height='62' />
  </ContentLoader>
);
