import { ColorSheet } from '@/utils/ColorSheet';
import React from 'react';
import ContentLoader, { Rect } from 'react-content-loader/native';
import { View, Platform, StyleSheet } from 'react-native';
import ICLine from '../../assets/icons/ICLine.svg';
import {
  widthPercentageToDP as wp,
  heightPercentageToDP as hp,
} from 'react-native-responsive-screen';

const HomeTransactionLoading = (props) => {
  const Card = () => (
    <ContentLoader
      speed={2}
      width={wp(90)}
      height={hp(7)}
      backgroundColor={ColorSheet.SecondaryBackground}
      foregroundColor={ColorSheet.DarkBackground}
      {...props}
    >
      <Rect x='5' y='0' rx='12' ry='12' width='45' height='35' />
      <Rect x='65' y='4' rx='3' ry='3' width='130' height='13' />
      <Rect x='65' y='24' rx='3' ry='3' width='60' height='9' />
      <Rect x='132' y='24' rx='3' ry='3' width='75' height='9' />
      <Rect x={Platform.OS == 'ios' ? '270' : '240'} y='4' rx='3' ry='3' width='80' height='14' />
    </ContentLoader>
  );
  return (
    <View style={styles.root}>
      <Card />
      <ICLine />
    </View>
  );
};

const styles = StyleSheet.create({
  root: {
    alignItems: 'center',
    paddingBottom: hp(2),
  },
});

export default HomeTransactionLoading;
