import React from 'react';
import {
  View,
  TouchableHighlight,
  TextInput,
  NativeSyntheticEvent,
  TextInputFocusEventData,
  GestureResponderEvent,
} from 'react-native';
import { widthPercentageToDP as wp } from 'react-native-responsive-screen';
import styles from './styles';
import Close from '@/assets/icons/Close.svg';
import Right from '@/assets/icons/Right.svg';
interface propsTypes {
  placeholder?: string;
  onChangeText?: (text: string) => void;
  onBlur?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
  onPressEyeButton?: (event: GestureResponderEvent) => void;
  value?: string;
  secureTextEntry?: boolean;
  paddingTop?: number | 10;
  pass?: boolean;
  testID?: string | undefined;
}

const PasswordEye = (props: propsTypes) => {
  const {
    placeholder,
    onChangeText,
    onBlur,
    value,
    onPressEyeButton,
    secureTextEntry,
    paddingTop,
    pass,
    testID,
  } = props;

  return (
    <View style={styles.wrapper}>
      <View style={[{ paddingTop }, styles.eyewrapper]}>
        <View style={styles.passtest}>
          <TextInput
            testID={testID}
            onChangeText={onChangeText}
            onBlur={onBlur}
            placeholder={placeholder}
            value={value}
            style={{ color: 'white' }}
            placeholderTextColor='white'
            maxLength={6}
            keyboardType={'number-pad'}
            secureTextEntry={secureTextEntry}
          />
        </View>
        <TouchableHighlight onPress={onPressEyeButton}>
          <View style={{ padding: wp('2.5%') }}>
            {pass ? <Right height={wp(5)} /> : <Close height={wp(5)} />}
          </View>
        </TouchableHighlight>
      </View>
    </View>
  );
};

export default PasswordEye;
